[Stable Update] 2020-07-19 - Kernels, KDE, LibreOffice, Mesa, Cinnamon, Deepin, Pamac, Browsers

Hello community,

Another stable branch update with some interesting updates for you! So far it is one of our biggest updates we prepared so far.


Feel your pulse ryzing! Soonish with Manjaro #Mikah by TUXEDO Computers #stayhome, #staysafe, #stayhealthy

  • We updated all of our Kernels
  • For Linux57 kernel series we added the FSync/Futex patches by Valve to speed up some processes, especially for Proton gaming.
  • Renewed our Firmware for the kernels
  • Worked on our ARM-tools
  • Some Cinnamon and Deepin updates
  • Plasma5 got updated to 5.19.3
  • KDE Frameworks is now at 5.72.0
  • KDE Apps got renewed to 20.04.3
  • A lot of KDE-git package updates to showcase the latest features of KDE software
  • Wine is renewed to 5.10
  • Brave browser has new versions in standard and beta
  • Virtualbox is now at 6.1.10
  • Mesa got updated to 20.1.3
  • PHP is now at 7.4.8
  • Pamac got some fixes and updated to 9.5.6
  • Firefox is now at 78.0.2
  • Firefox developer edition is now at 79.0b7
  • Palemoon got another release
  • Thunderbird updated to 68.10.0
  • Some more fixes to our Jade desktop
  • LibreOffice got renewed to 6.4.5
  • The development IDE Gambas is now at 3.15.0
  • AMD kicks of Q3 with AMDVLK on 2020.Q3.1
  • The usual upstream updates rebuilds/updates including python and haskell by Arch

If you like following latest Plasma development you may also like to check out our current version of manjaro-kde-dev, which we build on a regular basis against kde-git master packages. Also check out our latest release candidate of Manjaro Mikah 20.1! XFCE, KDE and Gnome


Security updates:

We pushed some security updates to stable.

Xorg-Server 1.20.8-4

Fixes CVE-2020-14347. No manual user intervention needed. Just update regularly.

Avoid leaking un-initalized memory to clients by zeroing the whole pixmap on initial allocation.
This vulnerability was discovered by: Jan-Niklas Sohn working with Trend Micro Zero Day Initiative

Grub 2.04-11.1

Fixes Boot-Hole issue.
You need to re-install grub on your system to complete the security fix: Bios-MBR, UEFI Systems


Our current supported kernels

  • linux44 4.4.230
  • linux49 4.9.230
  • linux414 4.14.188
  • linux419 4.19.133
  • linux54 5.4.52
  • linux56 5.6.19 [EOL]
  • linux57 5.7.9
  • linux58 5.8-rc5
  • linux54-rt 5.4.44_rt27
  • linux56-rt 5.6.17_rt9

Package Changes (Wed Jul 15 22:32:50 CEST 2020)

  • stable community x86_64: 4048 new and 3980 removed package(s)
  • stable core x86_64: 73 new and 71 removed package(s)
  • stable extra x86_64: 1371 new and 1447 removed package(s)
  • stable multilib x86_64: 54 new and 54 removed package(s)

A detailed list of all package changes can be found here.

  • No issue, everything went smoothly
  • Yes there was an issue. I was able to resolve it myself.(Please post your solution)
  • Yes i am currently experiencing an issue due to the update. (Please post about it)

0 voters

Check if your mirror has already synced:

41 Likes

Known issues and solutions

This is a wiki post; please edit as necessary.
Please, consider subscribing to the Stable Updates Announcements RSS feed


Pamac Update Indicator is black/invisible/blurry

See here for more information. Nothing to be concerned about.

System takes a long time to boot

If you've got errors like Failed to start Network Manager Wait Online. you can try removing systemd from passwd and group in /etc/nsswitch.conf as described here

I think I've some font problems

With the update of fontconfig some major rules how fonts get applied changed. Make sure that your system has ttf-dejavu installed. A more in depth explanation can be found here.

Gnome-shell-extension-pop-shell is currently incompatible with wayland

... and causes the system to freeze when the first window is tiled and can render it unbootable. Solution is a hard reset and disabling either pop shell or wayland. If the system becomes unbootable, use a live USB to edit /etc/gdm/custom.conf to disable wayland and reboot.

telegram is not following gtk theme anymore

Settings > Advanced > System integration > Use system window frame

LibreOffice Fresh (at least Writer) is generally unresponsive (tab & Enter keys not working and other issues)

Leave all configuration files, extensions, etc. in place. Replace LibreOffice Fresh with LibreOffice Still.


Older issues

(2020-05-19) systemd 245.5 and old Plymouth

If you have an older Manjaro installation from 2017 or so, you might still have Plymouth installed. If you hadn't updated it from AUR, it is recommended to remove Plymouth before you attempt to update systemd. If for some reason you updated already and now have issues, login to a TTY and disable Plymouth:

  • Ctrl + Alt + F3 and login
  • sudo pacman -R plymouth
  • you may want to check if the wanted display manager still works and enable its service if needed.

For more details and possible further steps on Plymouth removal see https://wiki.manjaro.org/index.php?title=Plymouth#Removal In particular you need to remove the "plymouth" hook from /etc/mkinitcpio.conf and rebuild your initramfs.

Search the forum for additional Plymouth troubleshooting. 0.9.4.r269.g23afdeb-2 should fix the issue.

(2020-04-19) System with amdgpu won't reboot or power off correctly

This was a kernel regression and has been patched in 5.4.33-2, 5.5.18-2, and 5.6.5-2. Check again for updates.

(2020-04-18) nss>=3.51.1-1 and lib32-nss>=3.51.1-1 updates require manual intervention

This should normally been fixed by manjaro-system.

If you were using Pamac GTK and got an error message similar to the following (see screenshot below):
thumbnail
try first to simply restart the update with Pamac GTK. This should be enough to continue and finish the system update. Closing Pamac window may not be necessary. Normally, despite what the error message tells, the file conflict(s) should in fact be handled properly when manjaro-system got upgraded; hence restarting the upgrade right after should do the trick.

If the file conflict was not solved automatically by manjaro-system, update your system in a command-line interface with the following command to get through it:

sudo  pacman -Syu --overwrite /usr/lib\*/p11-kit-trust.so

(2020-04-18) Thunderbird might throw an error of older version available.

Use $ thunderbird --allow-downgrade from a terminal to fix it.

(2020-04-18) Thinkpad T460 (Intel Wireless 8260) bluetooth problems

If you have a Thinkpad T460 with kernel 5.5, Intel Wireless 8260 and experience trouble with bluetooth, just reboot several times.

(2020-04-18) Error: signature invalid

If you get:

Error: linux54: signature from "Bernhard Landauer <oberon@manjaro.org>" is invalid

You should follow the solution here


Reminder for Gnome users: How to upgrade within TTY?

In order to upgrade from Gnome 3.34 to Gnome 3.36, Manjaro devs strongly recommend to upgrade within TTY and not within a graphical session. Read the announcement above for the instructions on how to do the upgrade as recommended. For a more comprehensive guide on this subject, please read the following article in the FAQ: How do I do a system upgrade "within a tty"?.

error: failed to commit transaction (conflicting files)

If you get

error: failed to commit transaction (conflicting files)
hplip: /usr/share/hplip/base/__pycache__/__init__.cpython-38.pyc exists in filesystem

Make sure your mirrors are synced and that you have manjaro-system-20200324-4 or newer installed:

$ sudo pacman -S manjaro-system

Sound issues

If you're having sound issues (e.g. on Firefox, hardware keys, panel slider), try disabling User Themes, restarting and then enabling again.


firewalld>=0.8.1-2 update requires manual intervention

(From arch linux post)
The firewalld package prior to version 0.8.1-2 was missing the compiled python modules. This has been fixed in 0.8.1-2, so the upgrade will need to overwrite the untracked pyc files created. If you get errors like these

firewalld: /usr/lib/python3.8/site-packages/firewall/__pycache__/__init__.cpython-38.pyc exists in filesystem
firewalld: /usr/lib/python3.8/site-packages/firewall/__pycache__/client.cpython-38.pyc exists in filesystem
firewalld: /usr/lib/python3.8/site-packages/firewall/__pycache__/dbus_utils.cpython-38.pyc exists in filesystem
...many more...

when updating, use

pacman -Syu --overwrite /usr/lib/python3.8/site-packages/firewall/\*

to perform the upgrade.


Report any AUR breakage here.

5 Likes

Hi,

Congratulations.

Enjoy !


[nls@nls-ody ~]$ sudo pacman -Syyuu
:: Synchronising package databases...
 core                                   171,4 KiB  1465 KiB/s 00:00 [######################################] 100%
 extra                                 2007,3 KiB  2019 KiB/s 00:01 [######################################] 100%
 community                                6,1 MiB  1170 KiB/s 00:05 [######################################] 100%
 multilib                               195,2 KiB  1895 KiB/s 00:00 [######################################] 100%
 manjaro-strit                           14,1 KiB   111 KiB/s 00:00 [######################################] 100%
:: Some packages should be upgraded first...
resolving dependencies...
looking for conflicting packages...

Packages (1) archlinux-keyring-20200622-1

Total Download Size:   0,88 MiB
Total Installed Size:  1,24 MiB
Net Upgrade Size:      0,01 MiB

:: Proceed with installation? [Y/n] y
:: Retrieving packages...
 archlinux-keyring-20200622-1-any       898,2 KiB   940 KiB/s 00:01 [######################################] 100%
(1/1) checking keys in keyring                                      [######################################] 100%
(1/1) checking package integrity                                    [######################################] 100%
(1/1) loading package files                                         [######################################] 100%
(1/1) checking for file conflicts                                   [######################################] 100%
(1/1) checking available disk space                                 [######################################] 100%
:: Processing package changes...
(1/1) upgrading archlinux-keyring                                   [######################################] 100%
==> Appending keys from archlinux.gpg...
==> Locally signing trusted keys in keyring...
  -> Locally signing key D8AFDDA07A5B6EDFA7D8CCDAD6D055F927843F1C...
  -> Locally signing key DDB867B92AA789C165EEFA799B729B06A680C281...
  -> Locally signing key 91FFE0700E80619CEB73235CA88E23E377514E00...
  -> Locally signing key 0E8B644079F599DFC1DDC3973348882F6AC6A4C2...
  -> Locally signing key AB19265E5D7D20687D303246BA1DFB64FFF979E7...
==> Importing owner trust values...
==> Disabling revoked keys in keyring...
  -> Disabling key 8F76BEEA0289F9E1D3E229C05F946DED983D4366...
  -> Disabling key 63F395DE2D6398BBE458F281F2DBB4931985A992...
  -> Disabling key 50F33E2E5B0C3D900424ABE89BDCF497A4BBCC7F...
  -> Disabling key 27FFC4769E19F096D41D9265A04F9397CDFD6BB0...
  -> Disabling key 39F880E50E49A4D11341E8F939E4F17F295AFBF4...
  -> Disabling key 8840BD07FC24CB7CE394A07CCF7037A4F27FB7DA...
  -> Disabling key 5559BC1A32B8F76B3FCCD9555FA5E5544F010D48...
  -> Disabling key 0B20CA1931F5DA3A70D0F8D2EA6836E1AB441196...
  -> Disabling key 07DFD3A0BC213FA12EDC217559B3122E2FA915EC...
  -> Disabling key 4FCF887689C41B09506BE8D5F3E1D5C5D30DB0AD...
  -> Disabling key 5A2257D19FF7E1E0E415968CE62F853100F0D0F0...
  -> Disabling key D921CABED130A5690EF1896E81AF739EC0711BF1...
  -> Disabling key 7FA647CD89891DEDC060287BB9113D1ED21E1A55...
  -> Disabling key BC1FBE4D2826A0B51E47ED62E2539214C6C11350...
  -> Disabling key 4A8B17E20B88ACA61860009B5CED81B7C2E5C0D2...
  -> Disabling key 5696C003B0854206450C8E5BE613C09CB4440678...
  -> Disabling key 684148BB25B49E986A4944C55184252D824B18E8...
  -> Disabling key 8CF934E339CAD8ABF342E822E711306E3C4F88BC...
  -> Disabling key F5A361A3A13554B85E57DDDAAF7EF7873CFD4BB6...
  -> Disabling key 5E7585ADFF106BFFBBA319DC654B877A0864983E...
  -> Disabling key 65EEFE022108E2B708CBFCF7F9E712E59AF5F22A...
  -> Disabling key 40440DC037C05620984379A6761FAD69BA06C6A9...
  -> Disabling key 34C5D94FE7E7913E86DC427E7FB1A3800C84C0A5...
  -> Disabling key 81D7F8241DB38BC759C80FCE3A726C6170E80477...
  -> Disabling key E7210A59715F6940CF9A4E36A001876699AD6E84...
  -> Disabling key 5357F3B111688D88C1D88119FCF2CB179205AC90...
  -> Disabling key 4D913AECD81726D9A6C74F0ADA6426DD215B37AD...
  -> Disabling key FB871F0131FEA4FB5A9192B4C8880A6406361833...
  -> Disabling key 66BD74A036D522F51DD70A3C7F2A16726521E06D...
  -> Disabling key B1F2C889CB2CCB2ADA36D963097D629E437520BD...
  -> Disabling key 9515D8A8EAB88E49BB65EDBCE6B456CAF15447D5...
  -> Disabling key 76B4192E902C0A52642C63C273B8ED52F1D357C1...
  -> Disabling key 40776A5221EF5AD468A4906D42A1DB15EC133BAD...
  -> Disabling key D4DE5ABDE2A7287644EAC7E36D1A9E70E19DAA50...
  -> Disabling key 44D4A033AC140143927397D47EFD567D4C7EA887...
==> Updating trust database...
gpg: next trustdb check due at 2020-10-17
:: Running post-transaction hooks...
(1/1) Arming ConditionNeedsUpdate...

:: Starting full system upgrade...
:: Replace intel-tbb with extra/tbb? [Y/n] y
warning: manjaro-arm-tools-git: downgrading from version 2.8.6.r4.g3f2e271-1 to version 2.8.6.r3.ga4db587-1
resolving dependencies...
looking for conflicting packages...
warning: dependency cycle detected:
warning: bashrc-manjaro will be installed before its bash dependency
warning: dependency cycle detected:
warning: mesa will be installed before its libglvnd dependency
warning: dependency cycle detected:
warning: usbmuxd will be installed before its libimobiledevice dependency
warning: dependency cycle detected:
warning: lib32-mesa will be installed before its lib32-libglvnd dependency

Packages (428) acpid-2.0.32-2  alsa-lib-1.2.3.2-1  alsa-topology-conf-1.2.3-1  alsa-ucm-conf-1.2.3-2
               alsa-utils-1.2.3-2  amule-11047-1  android-udev-20200613-1  aom-2.0.0-1  apparmor-2.13.4-6
               ark-20.04.3-1  attica-5.72.0-1  automake-1.16.2-3  babl-0.1.78-1  baloo-5.72.0-1
               baloo-widgets-20.04.3-1  bash-5.0.018-1  bashrc-manjaro-5.0.018-1  bison-3.6.4-1
               bluedevil-1:5.19.3-1.1  bluez-qt-5.72.0-1  breeze-5.19.3-1  breeze-icons-5.72.0-1
               btrfs-progs-5.7-1  ca-certificates-mozilla-3.54-1  cdrtools-3.02a09-3  confuse-3.3-1
               curl-7.71.1-1  dav1d-0.7.1-1  dbus-1.12.20-1  desktop-file-utils-0.26-1  dhcpcd-9.1.4-2
               docbook-xsl-1.79.2-7  dolphin-20.04.3-1  dolphin-plugins-20.04.3-1  ecryptfs-utils-111-4
               elfutils-0.180-1  etcher-1.5.101-1  exfat-utils-1.3.0-2  ffmpeg-2:4.2.4-1  ffmpegthumbs-20.04.3-1
               file-5.39-1  filelight-20.04.3-1  firefox-78.0.2-1  flatpak-1.8.1-1  fluidsynth-2.1.4-1
               fontconfig-2:2.13.91+48+gfcb0420-2  frameworkintegration-5.72.0-1  freerdp-2:2.1.2-1
               fribidi-1.0.10-1  fuse-common-3.9.2-1  fuse3-3.9.2-1  fwupd-1.4.4-1  game-devices-udev-0.7.9-1
               gdk-pixbuf2-2.40.0+6+g5432316df-1  gegl-0.4.24-1  geoip-database-20200609-1  gimp-2.10.20-1
               glib-networking-2.64.3-2  glib2-2.64.4-1  gnome-icon-theme-3.12.0-6  gnupg-2.2.21-1
               gnutls-3.6.14-2  graphene-1.10.2-1  grub-theme-manjaro-20.1-1  gssdp-1.2.3-1
               gst-plugins-bad-1.16.2-13  gst-plugins-bad-libs-1.16.2-13  gtest-1.10.0-1
               gtk-update-icon-cache-1:3.24.21-1  gtk3-1:3.24.21-1  gupnp-1.2.3-1  gvfs-1.44.1-4
               gvfs-afc-1.44.1-4  gvfs-gphoto2-1.44.1-4  gvfs-mtp-1.44.1-4  gvfs-nfs-1.44.1-4  gvfs-smb-1.44.1-4
               gwenview-20.04.3-1  hardcode-fixer-1:r539.f812186-5  harfbuzz-2.6.8-2  harfbuzz-icu-2.6.8-2
               haveged-1.9.13-1  hidapi-0.9.0-2  hplip-1:3.20.6-2  iana-etc-20200707-1  imagemagick-7.0.10.23-1
               intel-tbb-2020.2-1 [removal]  intel-ucode-20200616-1  intltool-0.51.0-6  iptables-1:1.8.5-2
               iso-codes-4.5.0-1  k3b-1:20.04.3-1  kaccounts-integration-20.04.3-1
               kaccounts-providers-20.04.3-1  kactivities-5.72.0-1  kactivities-stats-5.72.0-1
               kactivitymanagerd-5.19.3-1  kamera-20.04.3-1  karchive-5.72.0-1  kate-20.04.3-1  kauth-5.72.0-1
               kbookmarks-5.72.0-1  kcalc-20.04.3-1  kcmutils-5.72.0-1  kcodecs-5.72.0-1  kcompletion-5.72.0-1
               kconfig-5.72.0-1  kconfigwidgets-5.72.0-1  kcontacts-1:5.72.0-1  kcoreaddons-5.72.0-1
               kcrash-5.72.0-1  kdbusaddons-5.72.0-1  kde-cli-tools-5.19.3-1  kde-gtk-config-5.19.3-1
               kdeclarative-5.72.0-1  kdeconnect-20.04.3-1  kdecoration-5.19.3-1  kded-5.72.0-1
               kdegraphics-thumbnailers-20.04.3-1  kdelibs4support-5.72.0-1  kdenetwork-filesharing-20.04.3-1
               kdeplasma-addons-5.19.3-1  kdesu-5.72.0-1  kdnssd-5.72.0-1  kdoctools-5.72.0-1
               keditbookmarks-20.04.3-1  kemoticons-5.72.0-1  keyutils-1.6.3-1  kfilemetadata-5.72.0-1
               kfind-20.04.3-1  kgamma5-5.19.3-1  kget-20.04.3-1  kglobalaccel-5.72.0-1  kguiaddons-5.72.0-1
               khelpcenter-20.04.3-1  kholidays-1:5.72.0-1  khotkeys-5.19.3-1  khtml-5.72.0-1  ki18n-5.72.0-1
               kiconthemes-5.72.0-1  kidletime-5.72.0-1  kimageformats-5.72.0-1  kinfocenter-5.19.3-1
               kinit-5.72.0-1  kio-5.72.0-1  kio-extras-20.04.3-1  kirigami2-5.72.0-1  kitemmodels-5.72.0-1
               kitemviews-5.72.0-1  kjobwidgets-5.72.0-1  kjs-5.72.0-1  kmenuedit-5.19.3-1  knetattach-5.19.3-1
               knewstuff-5.72.0-1  knotifications-5.72.0-1  knotifyconfig-5.72.0-1  kolourpaint-20.04.3-1
               konsole-20.04.3-1  kpackage-5.72.0-1  kparts-5.72.0-1  kpeople-5.72.0-1  kpty-5.72.0-1
               kquickcharts-5.72.0-1  krb5-1.18.2-1  krdc-20.04.3-1  krfb-20.04.3-1  krunner-5.72.0-2
               kscreen-5.19.3-1  kscreenlocker-5.19.3-1  kservice-5.72.0-1  ksshaskpass-5.19.3-1
               ksysguard-5.19.3-1  ksystemlog-20.04.3-1  ktexteditor-5.72.0-1  ktextwidgets-5.72.0-1
               kunitconversion-5.72.0-1  kwallet-5.72.0-1  kwallet-pam-5.19.3-1  kwalletmanager-20.04.3-1
               kwayland-5.72.0-1  kwayland-integration-5.19.3-1  kwayland-server-5.19.3-1
               kwidgetsaddons-5.72.0-1  kwin-5.19.3-1  kwindowsystem-5.72.0-1  kwrited-5.19.3-1
               kxmlgui-5.72.0-1  lcms2-2.11-2  lib32-alsa-lib-1.2.3.2-1  lib32-dbus-1.12.20-1
               lib32-fluidsynth-2.1.4-1  lib32-glib2-2.64.4-1  lib32-libcap-2.37-1  lib32-libelf-0.180-1
               lib32-libgcrypt-1.8.6-1  lib32-libglvnd-1.3.2-1  lib32-libgpg-error-1.38-1  lib32-libva-2.8.0-1
               lib32-libva-intel-driver-2.4.1-1  lib32-libva-mesa-driver-20.1.3-1  lib32-libvorbis-1.3.7-1
               lib32-mesa-20.1.3-1  lib32-mesa-vdpau-20.1.3-1  lib32-nspr-4.26-1  lib32-nss-3.54-1
               lib32-sqlite-3.32.3-1  lib32-tdb-1.4.3-1  lib32-vulkan-icd-loader-1.2.147-1
               lib32-vulkan-intel-20.1.3-1  lib32-vulkan-radeon-20.1.3-1  libappindicator-gtk3-12.10.0.r296-1
               libcap-2.37-1  libde265-1.0.5-2  libelf-0.180-1  libexif-0.6.22-1  libfakekey-0.3-2
               libfdk-aac-2.0.1-2  libfontenc-1.1.4-3  libgcrypt-1.8.6-1  libglvnd-1.3.2-1  libheif-1.7.0-2
               libimobiledevice-1.3.0-1  libinput-1.15.6-1  libjpeg-turbo-2.0.5-1  libkcddb-20.04.3-1
               libkdcraw-20.04.3-1  libkexiv2-20.04.3-1  libkipi-20.04.3-1  libksane-20.04.3-1
               libkscreen-5.19.3-1  libksysguard-5.19.3-1  libldap-2.4.50-2  liblrdf-0.6.1-4  libmbim-1.24.2-1
               libmfx-20.2.0-1  libmicrohttpd-0.9.71-1  libmm-glib-1.14.0-1  libmpdclient-2.19-1  libnfs-4.0.0-4
               libnftnl-1.1.7-1  libnghttp2-1.41.0-1  libplist-2.2.0-1  libpng-1.6.37-3
               libproxy-0.4.15+33+g454a499-2  libqalculate-3.11.0-1  libqmi-1.26.0-1  libreoffice-still-6.3.6-2
               librsvg-2:2.48.8-1  libsodium-1.0.18-2  libtorrent-rasterbar-1:1.2.7-1  libusbmuxd-2.0.2-1
               libutempter-1.2.1-1  libutf8proc-2.5.0-2  libva-2.8.0-1  libva-mesa-driver-20.1.3-1
               libvncserver-0.9.13-1  libvorbis-1.3.7-2  libwacom-1.4.1-1  libxslt-1.1.34-5  lilv-0.24.8-2
               linux-firmware-20200716.r1675.1d1c80b-1  linux57-5.7.9-1
               linux57-virtualbox-host-modules-6.1.10-11  man-db-2.9.3-1  man-pages-5.07-1
               manjaro-application-utility-1.3.3-1  manjaro-arm-tools-git-2.8.6.r3.ga4db587-1
               manjaro-browser-settings-20200629-1  manjaro-settings-manager-0.5.6-10
               manjaro-settings-manager-kcm-0.5.6-10  manjaro-settings-manager-knotifier-0.5.6-10  mesa-20.1.3-1
               mesa-vdpau-20.1.3-1  mhwd-db-0.6.4-11  mhwd-nvidia-440xx-440.100-1  milou-5.19.3-1
               modemmanager-1.14.0-1  modemmanager-qt-5.72.0-1  mpd-0.21.25-1  mpg123-1.26.1-1  mtpfs-1.1-4
               neon-0.31.2-1  net-snmp-5.8-6  networkmanager-qt-5.72.0-1  nfs-utils-2.5.1-1  nfsidmap-2.5.1-1
               nspr-4.26-1  nss-3.54-1  ntp-4.2.8.p15-1  okular-20.04.3-1  openexr-2.5.2-1  openmpi-4.0.4-1
               oxygen-5.19.3-1  oxygen-icons-1:5.72.0-1  pacman-5.2.2-1  pamac-cli-9.5.6-2  pamac-common-9.5.6-2
               pamac-gtk-9.5.6-2  pamac-tray-appindicator-9.5.6-2  patchutils-0.3.4-4  pciutils-3.7.0-1
               pcsclite-1.9.0-1  perl-5.32.0-1  perl-alien-build-2.26-3  perl-alien-libxml2-0.16-2
               perl-capture-tiny-0.48-4  perl-clone-0.45-2  perl-dbi-1.643-2  perl-encode-locale-1.05-7
               perl-error-0.17029-2  perl-ffi-checklib-0.27-2  perl-file-basedir-0.08-5
               perl-file-chdir-0.1011-4  perl-file-desktopentry-0.22-7  perl-file-listing-6.04-8
               perl-file-mimeinfo-0.29-4  perl-file-which-1.23-4  perl-html-parser-3.72-10
               perl-html-tagset-3.20-10  perl-http-cookies-6.08-3  perl-http-daemon-6.06-2
               perl-http-date-6.05-3  perl-http-message-6.25-1  perl-http-negotiate-6.01-8  perl-io-html-1.001-7
               perl-ipc-system-simple-1.30-2  perl-libwww-6.46-1  perl-lwp-mediatypes-6.02-8
               perl-mailtools-2.21-4  perl-net-http-6.19-4  perl-parse-yapp-1.21-3  perl-path-tiny-0.112-2
               perl-timedate-2.33-2  perl-try-tiny-0.30-5  perl-uri-1.76-4  perl-www-robotrules-6.02-8
               perl-xml-libxml-2.0205-2  perl-xml-parser-2.46-2  perl-xml-writer-0.625-6  pipewire-0.3.6-1
               plasma-desktop-5.19.3-1  plasma-framework-5.72.0-1  plasma-integration-5.19.3-1
               plasma-nm-5.19.3-1.1  plasma-pa-5.19.3-1  plasma-workspace-5.19.3-1.1
               plasma-workspace-wallpapers-5.19.3-1  polkit-kde-agent-5.19.3-1  poppler-0.90.1-1
               poppler-glib-0.90.1-1  poppler-qt5-0.90.1-1  popt-1.18-1  powerdevil-5.19.3-1  powertop-2.13-1
               print-manager-20.04.3-1  prison-5.72.0-1  protobuf-3.12.3-1  purpose-5.72.0-1
               python-distlib-0.3.1-1  python-html5lib-1.1-1  python-idna-2.10-1  python-pillow-7.2.0-1
               python-pip-20.1.1-1  python-pyqt5-5.15.0-3  python-pytoml-0.1.21-4  python-reportlab-3.5.42-2
               python-requests-2.24.0-1  python-resolvelib-0.4.0-1  python-setuptools-1:49.2.0-1
               python-sip-4.19.23-1  qca-2.3.1-1  qqc2-desktop-style-5.72.0-1  qt5-base-5.15.0-4
               qt5-webengine-5.15.0-5  re2-1:20200706-1  rsync-3.2.2-2  sddm-kcm-5.19.3-1  sdl2-2.0.12-2
               shadow-4.8.1-2  signon-kwallet-extension-20.04.3-1  skanlite-2.2.0-1  solid-5.72.0-1
               sonnet-5.72.0-1  spectacle-20.04.3-1  splix-2.0.0-15  sqlite-3.32.3-1  subversion-1.14.0-2
               sudo-1.9.1-1  suitesparse-5.8.1-1  syntax-highlighting-5.72.0-1  systemd-245.6-8
               systemd-libs-245.6-8  systemd-sysvcompat-245.6-8  systemsettings-5.19.3-1  tbb-2020.2-1
               terminus-font-4.48-3  threadweaver-5.72.0-1  thunderbird-68.10.0-1  tslib-1.22-1
               ttf-bitstream-vera-1.10-14  ttf-hack-3.003-3  ttf-indic-otf-0.2-11  ttf-liberation-2.1.1-1
               udiskie-2.2.0-2  upower-0.99.11-3  usbmuxd-1.1.1-1  user-manager-5.19.3-1  virtualbox-6.1.10-1
               virtualbox-guest-iso-6.1.10-1  vlc-3.0.11-1  vmaf-1.5.2-1  vulkan-icd-loader-1.2.147-1
               vulkan-intel-20.1.3-1  vulkan-radeon-20.1.3-1  webkit2gtk-2.28.3-1  wireless-regdb-2020.04.29-1
               wpebackend-fdo-1.6.1-1  x265-3.4-1  xapian-core-1:1.4.16-1  xapps-1.8.8-1
               xdg-desktop-portal-kde-5.19.3-1  xkeyboard-config-2.30-2  xorg-twm-1.0.11-1  xsensors-0.80-3
               xxhash-0.7.4-1  yakuake-20.04.3-1  zbar-0.23.1-2  zeromq-4.3.2-2

Total Download Size:   1237,95 MiB
Total Installed Size:  4227,63 MiB
Net Upgrade Size:        67,39 MiB

:: Proceed with installation? [Y/n]  y                                                 
:: Retrieving packages...


7 Likes

Check if your mirror has synced yet ...

3 Likes

thanks, this is some handy little utility.

omgomgomg update! :slight_smile:
... but but but... "there is nothing to do" ???

"Why is there no update already?"

Then, a wild update appeared.

"This is broken, why did it not stay in Testing?"

16 Likes

Give some time to the mirrors to get the new stuff. It can take several hours.

1 Like

I have made the update on three computers:
1 * KDE and 2 * XFCE.

The KDE computer: system tray icon (on the system tray right hand side)-> system update notifier is grayed out.

My region format got reset to the same as my system language (en_US).
I just changed it back (de_DE) the Plasma settings panel.

Everything else working great!

2 Likes

A post was merged into an existing topic: gdm crashes after update

Had to install ttf-dejavu (as mentioned in the initial post) and change my system language format back to german. Other than that, everything is fine.

Thanks for your work, guys. It's really appreciated.

3 posts were split to a new topic: System update notifier icon is black and broken

This was a big one, so I report here:
xfce, ivy bridge i7-3517, 390xx bumblebee, ...smooth, ventoy gave me a little hickup, so I deleted it to go along with my update.
Noticed a /etc/fonts.conf.pacnew.
Other than that... smooth.

Edit: chromium 84 has now vaapi support :heart_eyes:

oh oh...massive update

but all went fine here (KDE)

On KDE, the desktop effects weren't working like the background contrast, fading popups, blur, etc. Had to re-enable all of them after disabling them to fix it.

Hey,
On gnome i had a session expired, i haven't see the process update.. :sweat:
Anyway, i wait 'till reboot and all seem to go fine :kissing_smiling_eyes:

Just updated a Surface Pro 4 (w/ Arch Surface Kernel) running Gnome. Everything went smoothly. Interestingly, "tap to click" was turned off after the update, but was able to switch it back on and everything works normally.

Thank you Manjaro team!

you can run

pacman-mirrors --status
2 Likes

The update was fine. My xfce4-terminal font is different now - Monospace Regular. What was the default font before update?

Forum kindly sponsored by